Which SDK version do I need to send customized in-app messages?

You will need the latest version of the Mixpanel SDK (Objective-C: 3.1.0, Swift: 2.1.3, Android: 4.9.4) to send customized in-app messages to users, and your users will need to upgrade to a version of your app that is supported by the required Mixpanel SDK version.

If you have users who have not upgraded to a supported version, you can create a backup theme of your customized in-app message. This theme will display only to the users who have not updated their app. However, if you chose to use a backup theme, you cannot customize the image that displays. If you would like to send a different image to users who have not yet upgraded, you will have to create a separate in-app message and specifically target users on older versions of your app.